edu.isi.pegasus.planner.partitioner

## Class SingleLook.MyCallBackHandler

- java.lang.Object
- - edu.isi.pegasus.planner.partitioner.SingleLook.MyCallBackHandler

All Implemented Interfaces:
  org.griphyn.vdl.euryale.Callback

Enclosing class:
  SingleLook

    private class SingleLook.MyCallBackHandler
    extends java.lang.Object
    implements org.griphyn.vdl.euryale.Callback

The internal callback handler for the DAXParser in Euryale. It stores all the jobs making up the dax in an internal map, which is then referred to get the job information for the jobs making up the partition.

### Constructor Summary

Constructors
Constructor and Description
`MyCallBackHandler()` The empty constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cb_document(java.util.Map attributes)` Callback when the opening tag was parsed.
`void` `cb_done()` Callback when the parsing of the document is done.
`void` `cb_filename(org.griphyn.vdl.dax.Filename filename)` Callback for the filename from section 1 filenames.
`void` `cb_job(org.griphyn.vdl.dax.Job job)` Callback for the job from section 2 jobs.
`void` `cb_parents(java.lang.String child, java.util.List parents)` Callback for child and parent relationships from section 3.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MyCallBackHandler

    public MyCallBackHandler()

The empty constructor.

### Method Detail

#### cb_document

    public void cb_document(java.util.Map attributes)

Callback when the opening tag was parsed. The attribute maps each attribute to its raw value. The callback initializes the DAG writer.

Specified by:
  `cb_document` in interface `org.griphyn.vdl.euryale.Callback`
Parameters:
  `attributes` - is a map of attribute key to attribute value

#### cb_filename

    public void cb_filename(org.griphyn.vdl.dax.Filename filename)

Callback for the filename from section 1 filenames. Does nothing as the filenames for the partitioned dax are constructed from the jobs.

Specified by:
  `cb_filename` in interface `org.griphyn.vdl.euryale.Callback`
Parameters:
  `filename` - is a DAX-style filename elements.

#### cb_job

    public void cb_job(org.griphyn.vdl.dax.Job job)

Callback for the job from section 2 jobs. This ends up storing all the jobs in the memory to be used for writing out the partition dax.

Specified by:
  `cb_job` in interface `org.griphyn.vdl.euryale.Callback`
Parameters:
  `job` - the object containing the job information.

#### cb_parents

    public void cb_parents(java.lang.String child,
                           java.util.List parents)

Callback for child and parent relationships from section 3. This is an empty implementation, as the Partition object contains the relations amongst the jobs making up the partition.

Specified by:
  `cb_parents` in interface `org.griphyn.vdl.euryale.Callback`
Parameters:
  `child` - is the IDREF of the child element.
  `parents` - is a list of IDREFs of the included parents.

#### cb_done

    public void cb_done()

Callback when the parsing of the document is done. While this state could also be determined from the return of the invocation of the parser, that return may be hidden in another place of the code. This callback can be used to free callback-specific resources.

Specified by:
  `cb_done` in interface `org.griphyn.vdl.euryale.Callback`